Lavalite package that provides flight management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `novasoft/flight`.

    "novasoft/flight": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Novasoft\Flight\Providers\FlightServiceProvider::class,

And also add it to alias

    'Flight'  => Novasoft\Flight\Facades\Flight::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Novasoft\\FlightTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Novasoft\Flight\Providers\FlightServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Novasoft\Flight\Providers\FlightServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Novasoft\Flight\Providers\FlightServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/flight/{modulename}

**User**

    http://path-to-route-folder/user/flight/{modulename}

**Public**

    http://path-to-route-folder/flights


### API endpoints

**List**

    http://path-to-route-folder/api/user/flight/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/flight/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/flight/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/flight/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/flight/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/flight/{modulename}/{slug}
    METHOD: GET