<?php

namespace Novasoft\Flight\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LocationTransformer extends TransformerAbstract
{
    public function transform(\Novasoft\Flight\Models\Location $location)
    {
        return [
            'id'                => $location->getRouteKey(),
            'key'               => [
                'public'    => $location->getPublicKey(),
                'route'     => $location->getRouteKey(),
            ], 
            'Name'              => $location->Name,
            'slug'              => $location->slug,
            'url'               => [
                'public'    => trans_url('flight/'.$location->getPublicKey()),
                'user'      => guard_url('flight/location/'.$location->getRouteKey()),
            ], 
            'status'            => trans('app.'.$location->status),
            'created_at'        => format_date($location->created_at),
            'updated_at'        => format_date($location->updated_at),
        ];
    }
}